
<style>
              #progress_bar {
                margin: 10px 0;
                padding: 3px;
                border: 1px solid #000;
                font-size: 14px;
                clear: both;
                opacity: 0;
                -moz-transition: opacity 1s linear;
                -o-transition: opacity 1s linear;
                -webkit-transition: opacity 1s linear;
              }
              #progress_bar.loading {
                opacity: 1.0;
              }
              #progress_bar .percent {
                background-color: #99ccff;
                height: auto;
                width: auto;
              }
</style>
<script src="/brain/js/dropzone.min.js"></script>
<link rel="stylesheet" href="/brain/css/basicds.min.css">
<link rel="stylesheet" href="/brain/css/dropzone.min.css">

<div id="pcpdownloader" class="section-profile" style="padding-bottom: 30%; width: 80%">
    <div class="advanced row">
        <div class="topleft duk-icon"><img onclick="removeSection('pcpdownloader')" src="/gui/img/x.png"></div>
        <div class="column planner-header" style="flex:100%;text-align: left">
            <h3>MCP Brain Files</h3>

            <h4> Current File Listing:</h4>
            <table style="table-layout: fixed;" class="obfuscation-table ttp-template" border=1 frame=void rules=rows>
                <tr>
                    <th style="text-align:left;" >Filename</th>
                    <th style="text-align:left;">Content Type</th>
                    <th style="text-align:left;">Actions</th>
                </tr>

                {% for file in files %}
                <tr onmouseenter="hovering_row('filerow_{{file.Name}}')" onmouseleave="donehovering_row('filerow_{{file.Name}}')" id="filerow_{{file.Name|replace('.','_')|replace('-','_')}}">
                    <td>{{file.Name}}</td>
                    <td>{{file.ContentType}}</td>
                    <td>
                        <span>
                            <a href="/plugin/brain/get/{{file.Name}}">
                                &#128270;
                            </a>
                        </span>
                         --
                        <span style="cursor: pointer"  onclick="pcp_brain_delete('{{file.Name}}')">
                            ␡
                        </span>

                    </td>
                </tr>
                {% endfor %}

            </table>
            <hr>
            <h3>PCP Brain File Upload</h3>

            <div id="brainuploader">DROP FILES IN HERE</div>
        </div>
    </div>
</div>

<script>
    $(function() {
        let uploaderzone = $("#brainuploader");
        uploaderzone.dropzone(
            {
                url: "/plugin/brain/upload",
                createImageThumbnails: false,
                addRemoveLinks: false,
                init: function() {
                    this.on("success", function(file) {
                        $(".dz-success-mark svg").hide();
                        $(".dz-error-mark").hide();
                        $(".dz-image").hide();

                    });
                    this.on("addedfile", function(file) {
                        $(".dz-success-mark svg").hide();
                        $(".dz-error-mark").hide();
                        $(".dz-image").hide();

                    });
                }
            }
        );

    });



    function pcp_brain_delete(brain_filename){
        if (confirm('Are you sure you want to delete '+ brain_filename)) {
            let cleaned_row = brain_filename.replace(/\./g, "_").replace(/-/g, "_");
            $("#filerow_"+cleaned_row).remove();
            restRequest(
                'GET',
                {},
                callback_report,
                "/plugin/brain/delete/" + brain_filename
            );
            // add a remove TR
        }
    }
    function callback_report(data){
        stream(JSON.stringify(data));
    }
    function hovering_row(rowid){
        let cleaned_row = rowid.replace(/\./g, "_").replace(/-/g, "_");
        $("#"+cleaned_row).addClass("maroon");
    }
    function donehovering_row(rowid){
        let cleaned_row = rowid.replace(/\./g, "_").replace(/-/g, "_");
        $("#"+cleaned_row).removeClass("maroon");

    }
</script>
